createEvent
Creates a new Event. When creating a new Event, the required tags must be provided. See the specific integration for more details.
POST
/v1/chat/eventsAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bp-authenticated-principalstringAuthenticated principal. Injected by the authentication middleware.
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
Request body
Event data
typestringType of the Event.(max length: 200)
payloadobjectPayload is the content of the event defined by the integration installed on your bot or one of the default events created by our API.
schedule?objectSchedule the Event to be sent at a specific time. Either dateTime or delay must be provided.
conversationId?stringID of the Conversation to link the event to.(min length: 28, max length: 36)
userId?stringID of the User to link the event to.(min length: 28, max length: 36)
workflowId?stringID of the Workflow to link the event to.(min length: 28, max length: 36)
messageId?stringID of the Message to link the event to.(min length: 28, max length: 36)
Response
Returns a Event object if creation succeeds. Returns an error otherwise
eventobjectThe event object represents an action or an occurrence.